%
%   filter_data  This function filters out excessive repetition of data that may 
%                   be skewing blade worth curves

      function [z_FTR,rhoinv_FTR] = filter_data(rhoinv,z,Bcat)
      X = z(:,Bcat);   nx = length(X);
      chk = X == X;               % initializes logical array chk to true
      for i = 2:nx
        check1 = X(i);    check2 = X(i-1);
        s0 = abs(check2 - check1);
        chk(i) = s0 > 1e-6;       % true if not equal, false if essentially equal
      end
      z_FTR = X(chk);             % only keep unique values of blade location
      rhoinv_FTR = rhoinv(chk);   % corresponding values of rhoinv
%
%   end of routine